Documentation Index

Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt

Use this file to discover all available pages before exploring further.

Create or update the license pool for a workspace

Prev Next
Put
/v1/teams/{team_id}/workspaces/{workspace_uuid}/license-pool

Create or update the license pool for a workspace

Security
HTTP
Type bearer

API key authentication. Create API keys in the Supermetrics Hub and send them in the Authorization header: Authorization: Bearer <your-api-key>

Path parameters
team_id
integer (int64) Required

The ID of the team

Minimum1
Maximum9223372036854776000
Example936506
workspace_uuid
string (uuid) Required

UUID of the workspace associated with the license pool

Max length36
Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example71bc0582-31b5-11f1-a55c-4201ac182030
Body parameters

License pool configuration

{
  "destinations": [
    "google_sheets",
    "excel"
  ],
  "data_sources": [
    "GA4",
    "GADS"
  ],
  "total_number_of_users": 10,
  "max_accounts_per_data_source": 5,
  "start_date": "2026-01-01",
  "end_date": "2026-12-31"
}
object
destinations
Array of string Required

Destinations to include in the license pool

Max items50
Example[ "google_sheets", "excel" ]
string
Max length255
Pattern^.+
data_sources
Array of string Required

Data sources to include in the license pool

Max items100
Example[ "GA4", "GADS" ]
string
Max length255
Pattern^.+
total_number_of_users
integer (int64) Required

Total number of users for the license pool

Minimum1
Maximum9223372036854776000
Example10
max_accounts_per_data_source
integer (int64) Required

Maximum number of accounts per data source

Minimum1
Maximum9223372036854776000
Example5
start_date
string (date) Required

Start date of the license pool in YYYY-MM-DD format

Max length10
Pattern^\d{4}-\d{2}-\d{2}$
Example2026-01-01
end_date
string (date) Required

End date of the license pool in YYYY-MM-DD format

Max length10
Pattern^\d{4}-\d{2}-\d{2}$
Example2026-12-31
Responses
200

License pool created or updated successfully

Expand All
object

Response envelope containing license pool data

meta
object

Response metadata

Example{}
request_id
string

Unique ID of the request

Max length36
Pattern^[A-Za-z0-9_-]+
ExampleRfNUgKPReZtgmzkqAFe4ArjuCQXQuaRr
data
object (LicensePoolData)

License pool resource

workspace_id
integer (int64)

Internal identifier of the workspace

Minimum1
Maximum9223372036854776000
Example1
destinations
Array of string

Destinations included in the license pool

Max items50
Example[ "google_sheets" ]
string
Max length255
Pattern^.+
data_sources
Array of string

Data sources included in the license pool

Max items100
Example[ "GA" ]
string
Max length255
Pattern^.+
total_number_of_users
integer (int64)

Total number of users allowed in the license pool

Minimum1
Maximum9223372036854776000
Example50
max_accounts_per_data_source
integer (int64)

Maximum number of accounts allowed per data source

Minimum1
Maximum9223372036854776000
Example10
start_date
string (date)

Start date of the license pool in YYYY-MM-DD format

Max length10
Pattern^\d{4}-\d{2}-\d{2}$
Example2025-01-01
end_date
string (date)

End date of the license pool in YYYY-MM-DD format

Max length10
Pattern^\d{4}-\d{2}-\d{2}$
Example2026-12-31
license_features
Array of string

Additional license features enabled for the pool

Max items100
Example[]
string
Max length255
Pattern^.+
400

Bad request — invalid or missing parameters

object
message
string

Bad request error

Max length255
Pattern^.+$
code
string

BAD_REQUEST

Valid values[ "BAD_REQUEST" ]
401

Unauthorized — token is missing or invalid

object
message
string

Unauthorized access

Max length255
Pattern^.+$
code
string

UNAUTHORIZED

Valid values[ "UNAUTHORIZED" ]
403

Forbidden — insufficient permissions

object
message
string

Permission error

Max length255
Pattern^.+$
code
string

PERMISSION_ERROR

Valid values[ "PERMISSION_ERROR" ]
404

Workspace not found

object
message
string

Not found

Max length255
Pattern^.+$
code
string

NOT_FOUND

Valid values[ "NOT_FOUND" ]
422

Unprocessable entity — request failed validation

object
message
string

Validation failed for the request parameters

Max length255
Pattern^.+$
code
string

UNPROCESSABLE_ENTITY

Valid values[ "UNPROCESSABLE_ENTITY" ]
429

Too many requests - rate limit exceeded.

object
message
string

Too many requests

Max length255
Pattern^.+$
code
string

TOO_MANY_REQUESTS

Valid values[ "TOO_MANY_REQUESTS" ]
500

Internal server error

object
message
string

Internal server error

Max length255
Pattern^.+$
code
string

INTERNAL_SERVER_ERROR

Valid values[ "INTERNAL_SERVER_ERROR" ]